GET /lists/{date}/{list}.json

nytimes.com:books_api

Summary: Best Seller List by Date
Operation ID: GET_lists-date-list-json
Auth: unknown

Parameters (11)

bestsellers-date (string, query, optional)

YYYY-MM-DD The week-ending date for the sales reflected on list-name. Times best-seller lists are compiled using available book sale data. The bestsellers-date may be significantly earlier than published-date. For additional information, see the explanation at the bottom of any best-seller list page on NYTimes.com (example: Hardcover Fiction, published Dec. 5 but reflecting sales to Nov. 29).

date (string, path, required)
isbn (integer, query, optional)

International Standard Book Number, 10 or 13 digits

list (string, path, required)

Name of the Best Sellers List. You can get the full list from /lists/names.json

list-name (string, query, optional)

The name of the Times best-seller list. To get valid values, use a list names request. Be sure to replace spaces with hyphens (e.g., e-book-fiction or hardcover-fiction, not E-Book Fiction or Hardcover Fiction). (The parameter is not case sensitive.)

offset (integer, query, optional)

Sets the starting point of the result set

Constraints: {'multipleOf': 20}

published-date (string, query, optional)

YYYY-MM-DD The date the best-seller list was published on NYTimes.com (compare bestsellers-date)

rank (string, query, optional)

The rank of the best seller on list-name as of bestsellers-date

rank-last-week (integer, query, optional)

The rank of the best seller on list-name one week prior to bestsellers-date

sort-order (string, query, optional)

The default is ASC (ascending). The sort-order parameter is used with the sort-by parameter — for details, see each request type.

Constraints: {'enum': ['ASC', 'DESC']}

weeks-on-list (integer, query, optional)

The number of weeks that the best seller has been on list-name, as of bestsellers-date

No probe data for this endpoint yet.